---
title: "Get user's documents"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_unique_id-documents-search"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org_unique_id-documents-search"
method: "GET"
path: "/v2/organizations/{org_unique_id}/documents/search"
operation_id: "get-v2-organizations-org_unique_id-documents-search"
authorization: "bearer"
---

# Get user's documents

`GET /v2/organizations/{org_unique_id}/documents/search`

Endpoint allows you to search through the documents of users of the organization. Available only to the Administrator of the organization. 

The `filters` query parameter is array of optional filter parameters. At least one filter must be added.

**Pay attention**: emails must be encoded in such format `sample_name%40email.com`



## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_unique_id` | string | Yes | ID of organization |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `filters:name ` | string | No | Searches in documents by Document name. <br> Example: `?filters=[{“name”:{“type": "=", "value”:”sample name”}}]` |
| `filters:signer ` | string | No | Searches in documents by Signer email. <br> Example: `?filters=[{"signer":{"type": "=", "value":"signer%40email.com”}}]` |
| `filters:owner` | string | No | Searches in documents by Owner email. <br> Example: `?filters=[{"owner":{"type": "=", "value”:”owner%40email.com”}}]` |
| `filters:text ` | string | No | Searches in documents by Document text fields. <br> Example: `?filters=[{“text”:{“type": "=", "value”:”Some sample text”}}]` |
| `filters:status` | string | No | Searches in documents by Document status. Possible values:  `waiting_for_signing`, `signed` or `pending_payment` <br> Example: `?filters=[{"status”:{“type": "=", "value":"signed”}}]` |
| `page` | number | No | Page number of searched results. Allowed values: any positive integer starting from 1. <br> Example: `?page=3` |
| `sort:name` | string | No | Sorts all documents by Document name. Possible values: `asc`, `desc`. <br> Example: `?sort[name]=asc` |
| `sort:added` | string | No | Sorts all documents by date (Unix timestamp) they were added. Possible values: `asc`, `desc`. <br> Example: `?sort[added]=asc` |
| `sort:changed` | string | No | Sorts all documents by date (Unix timestamp) they were changed. Possible values: `asc`, `desc`. <br> Example: `?sort[changed]=asc` |
| `per_page` | number | No | Number of searched results per page. Allowed values: any positive integer starting from 1. <br> Example: `?per_page=12` |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 200

Search by Signer email

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "id": "60dd7b11b901408ba68dd7f04c2c61adc57db0a2",
      "tags": [
        {
          "name": "field_signature",
          "type": "system"
        },
        {
          "name": "fields",
          "type": "system"
        },
        {
          "name": "electronic_consent_required",
          "type": "system"
        }
      ],
      "lines": [],
      "owner": "mitroshyn.i+super@gmail.com",
      "pages": [
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=0",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=1",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=2",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=3",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=4",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=5",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=6",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=7",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=8",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=9",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=10",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=11",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=12",
          "size": {
            "width": 595.28,
            "height": 841.89
          }
        },
        {
          "src": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large&page=13",
          "size": {
            "width": 595.28,
            "height": 841.89
          }
        }
      ],
      "roles": [
        {
          "name": "Recipient 1",
          "unique_id": "931b3afe68e94d05b0149c3dc02f9fc55b5f93e1",
          "signing_order": "1"
        }
      ],
      "seals": [],
      "texts": [],
      "checks": [],
      "fields": [
        {
          "id": "d8c69f79c9da4839ab4a1b5bb5b7c7a41756c86e",
          "role": "Recipient 1",
          "type": "signature",
          "role_id": "931b3afe68e94d05b0149c3dc02f9fc55b5f93e1",
          "field_id": "140a51add7494328bf3af93f2b06746cab0c5eab",
          "fulfiller": "mitroshyn.i+filter1@gmail.com",
          "element_id": "c035557ff4814a78a342b3f3e52e251780768bbf",
          "originator": "mitroshyn.i+super@gmail.com",
          "json_attributes": {
            "x": 450,
            "y": 24,
            "name": "Signature_1",
            "width": 138,
            "height": 69,
            "required": true,
            "page_number": 0,
            "allowed_types": [
              "type",
              "draw",
              "upload"
            ]
          },
          "field_request_id": "140a51add7494328bf3af93f2b06746cab0c5eab",
          "template_field_id": null,
          "field_request_canceled": null
        }
      ],
      "created": "1655973025",
      "inserts": [],
      "updated": "1656321523",
      "user_id": "cfc0e3708fc04dffa787ecc01112fb52099cb23b",
      "payments": [],
      "requests": [],
      "settings": {
        "ololo": false,
        "mytext": false,
        "mytext1": false,
        "enable_mfa": false,
        "enable_pki": false,
        "copy_export": false,
        "enable_qwer": false,
        "upload_limit": false,
        "document_guide": false,
        "sso-only-login": false,
        "mobileweb_option": false,
        "cloud_auto_export": false,
        "logout_on_signing": false,
        "restrict_download": false,
        "common_experiments": false,
        "enable_experiments": false,
        "add_signature_stamp": false,
        "email_logo_position": false,
        "cfr_title_21_part_11": false,
        "email_btn_bkgd_color": false,
        "email_btn_text_color": false,
        "email_custom_message": false,
        "email_custom_subject": false,
        "email_footer_enabled": false,
        "enable_eu_date_format": false,
        "require_email_subject": false,
        "no_document_attachment": true,
        "agree_to_be_beta_tester": false,
        "electronic_consent_text": false,
        "flatten_document_fields": false,
        "org_allowed_team_admins": false,
        "disable_email_recipients": false,
        "document_schema_extended": false,
        "enable_document_comments": false,
        "front_end_session_length": false,
        "no_user_signature_return": false,
        "require_drawn_signatures": false,
        "signature_stamp_position": false,
        "allow_big_attachment_file": false,
        "cloud_export_with_history": false,
        "enable_full_story_tracker": false,
        "require_login_for_signing": false,
        "allow_download_certificate": false,
        "disable_email_notifications": false,
        "electronic_consent_required": false,
        "email_admin_on_banned_login": false,
        "enable_hyperlink_protection": false,
        "enable_team_admin_move_docs": false,
        "invite_decline_redirect_url": false,
        "parse_only_signature_fields": false,
        "allow_team_admin_rename_docs": false,
        "emailed_docs_include_history": false,
        "no_document_file_attachments": false,
        "add_signature_stamp_with_name": false,
        "digitally_sign_dowloaded_docs": false,
        "watermark_downloaded_document": false,
        "invite_completion_redirect_url": false,
        "required_preset_signature_name": false,
        "signing_link_document_download": false,
        "block_login_via_social_networks": false,
        "hide_upgrade_subscription_button": false,
        "allow_edit_document_after_signing": false,
        "default_field_invite_remind_after": false,
        "disable_download_action_in_editor": false,
        "enable_advanced_threat_protection": false,
        "auto_deletion_documents_from_trash": false,
        "default_field_invite_remind_before": false,
        "default_field_invite_remind_repeat": false,
        "document_completion_retention_days": false,
        "require_authentication_for_invites": false,
        "save_signer_signature_and_initials": false,
        "signing_link_document_name_formula": false,
        "disable_recipients_list_from_editor": false,
        "document_attachment_only_for_signer": false,
        "default_field_invite_expiration_time": false,
        "unsuccessful_logout_attempts_allowed": false,
        "audit_trail_completion_retention_days": false,
        "block_organization_selfleave_by_member": false,
        "allow_document_copying_to_other_accounts": false,
        "allow_embedded_extended_token_expiration": false,
        "pending_invite_document_view_notification": false,
        "guide_signers_only_through_required_fields": false,
        "redirect_to_registration_when_fields_saved": false,
        "hide_decline_to_sign_option_in_signing_session": false,
        "max_attachments_for_signnow_fields_per_document": false,
        "only_administrator_is_able_to_invite_to_the_team": false,
        "allow_big_count_of_attachment_fields_per_document": false,
        "agreement_to_test_new_functionality_in_organization": false,
        "auto_apply_signatures_and_initials_to_document_fields": false,
        "block_export_options_when_credit_card_validation_is_used": false,
        "invite_update_notifications_for_all_invites_at_invite_create": false,
        "every_signature_and_initials_field_requires_user_authentication": false
      },
      "template": false,
      "parent_id": "0d515691541141afa868c00758422e50f5e29a48",
      "thumbnail": {
        "large": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=large",
        "small": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=small",
        "medium": "https://api.signnow-dev.xyz/document/60dd7b11b901408ba68dd7f04c2c61adc57db0a2/thumbnail?size=medium"
      },
      "hyperlinks": [],
      "owner_name": "qwe qwe",
      "page_count": "14",
      "signatures": [
        {
          "x": "450",
          "y": "24",
          "id": "c035557ff4814a78a342b3f3e52e251780768bbf",
          "data": "iVBORw0KAJGCwZ0oRYZxbTr2muG14J5ppi2s2p",
          "email": "mitroshyn.i+filter1@gmail.com",
          "width": "138",
          "height": "55",
          "created": "1656321523",
          "subtype": "signature",
          "user_id": "27fd5f4748c0495599295f222b33f5a31d7e0ab2",
          "page_number": "0",
          "signature_request_id": null
        }
      ],
      "attachments": [],
      "exported_to": [],
      "integrations": [],
      "radiobuttons": [],
      "version_time": "1656321523",
      "viewer_roles": [],
      "document_name": "filter1",
      "field_invites": [
        {
          "id": "85c5228512934ec48b1626f4124464299eb84eb9",
          "role": "Recipient 1",
          "email": "mitroshyn.i+filter1@gmail.com",
          "pfrid": null,
          "status": "fulfilled",
          "created": "1655973182",
          "pfrtype": null,
          "role_id": "931b3afe68e94d05b0149c3dc02f9fc55b5f93e1",
          "updated": "1656321523",
          "declined": [],
          "reassign": "0",
          "reminder": "0",
          "pframount": null,
          "pfrstatus": null,
          "pfrcreated": null,
          "id_verified": "UNVERIFIED",
          "is_embedded": false,
          "redirect_uri": null,
          "delivery_type": "email",
          "password_type": "",
          "email_statuses": [],
          "pfrmerchant_id": null,
          "signer_user_id": "27fd5f4748c0495599295f222b33f5a31d7e0ab2",
          "embedded_signer": [],
          "expiration_time": "1658565182",
          "is_draft_exists": "0",
          "password_method": "",
          "payment_request": null,
          "is_full_declined": false,
          "pfrcurrency_name": null,
          "pfrmerchant_type": null,
          "is_document_locked": "0",
          "password_protected": "0",
          "pfrjson_attributes": null,
          "force_new_signature": null,
          "signer_phone_invite": null,
          "decline_by_signature": "0",
          "signing_instructions": null,
          "electronic_consent_id": "be57fe8659ae4fa494aeffcc532a61cc35372a96",
          "prefill_signature_name": null,
          "id_verification_required": "NO",
          "pfrmerchant_account_name": null,
          "pfrpayment_transaction_id": null,
          "electronic_consent_required": 1,
          "required_preset_signature_name": null,
          "stripe_ach_bank_account_present": "0",
          "stripe_ach_bank_account_verified": "0"
        }
      ],
      "notary_invites": [],
      "origin_user_id": null,
      "originator_logo": "",
      "routing_details": [
        {
          "cc": [],
          "id": "4b2d588b2f104f7ab1165b44562e9e91df8cf290",
          "data": [
            {
              "name": "Recipient 1",
              "role_id": "931b3afe68e94d05b0149c3dc02f9fc55b5f93e1",
              "inviter_role": false,
              "default_email": "mitroshyn.i+filter1@gmail.com",
              "delivery_type": "email",
              "signing_order": 1
            }
          ],
          "cc_step": [],
          "created": "1655973176",
          "updated": "1655973181",
          "viewers": [],
          "invite_link_instructions": null
        }
      ],
      "field_validators": [],
      "original_filename": "asd 1 2 1.pdf",
      "origin_document_id": null,
      "document_group_info": {
        "invite_id": null,
        "invite_status": null,
        "sign_as_merged": false,
        "document_group_id": null,
        "doc_count_in_group": 0,
        "document_group_name": null
      },
      "enumeration_options": [],
      "viewer_field_invites": [],
      "signing_session_settings": {
        "welcome_message": null
      },
      "document_group_template_info": [],
      "originator_organization_settings": [
        {
          "value": "0",
          "setting": "no_user_signature_return"
        },
        {
          "value": "",
          "setting": "invite_completion_redirect_url"
        },
        {
          "value": "",
          "setting": "invite_decline_redirect_url"
        },
        {
          "value": "0",
          "setting": "required_preset_signature_name"
        },
        {
          "value": "0",
          "setting": "require_email_subject"
        },
        {
          "value": "0",
          "setting": "require_login_for_signing"
        },
        {
          "value": "1",
          "setting": "logout_on_signing"
        },
        {
          "value": "0",
          "setting": "front_end_session_length"
        },
        {
          "value": "1",
          "setting": "add_signature_stamp_with_name"
        },
        {
          "value": "0",
          "setting": "cfr_title_21_part_11"
        },
        {
          "value": "0",
          "setting": "require_authentication_for_invites"
        },
        {
          "value": "1",
          "setting": "document_guide"
        },
        {
          "value": "0",
          "setting": "disable_email_notifications"
        },
        {
          "value": "no",
          "setting": "block_export_options_when_credit_card_validation_is_used"
        },
        {
          "value": "no",
          "setting": "block_login_via_social_networks"
        },
        {
          "value": "0",
          "setting": "common_experiments"
        },
        {
          "value": "0",
          "setting": "hide_decline_to_sign_option_in_signing_session"
        },
        {
          "value": "0",
          "setting": "hide_upgrade_subscription_button"
        },
        {
          "value": "",
          "setting": "do_no_consent_redirect_url"
        },
        {
          "value": "0",
          "setting": "lock_signing_date_by_default"
        },
        {
          "value": "0",
          "setting": "allow_download_certificate"
        },
        {
          "value": "0",
          "setting": "have_merged_document_group_option"
        },
        {
          "value": "1",
          "setting": "guide_signers_only_through_required_fields"
        },
        {
          "value": "30",
          "setting": "invite_expiration_days"
        },
        {
          "value": "0",
          "setting": "allow_big_attachment_file"
        },
        {
          "value": "0",
          "setting": "allow_big_count_of_attachment_fields_per_document"
        },
        {
          "value": "0",
          "setting": "enable_hyperlink_field"
        },
        {
          "value": "0",
          "setting": "disable_download_action_in_editor"
        },
        {
          "value": "bottom",
          "setting": "signature_stamp_position"
        },
        {
          "value": "0",
          "setting": "enable_pki"
        },
        {
          "value": "1",
          "setting": "save_signer_signature_and_initials"
        },
        {
          "value": "1",
          "setting": "auto_apply_signatures_and_initials_to_document_fields"
        },
        {
          "value": "0",
          "setting": "receive_signer_email_after_sent_field_invite_to_yourself"
        },
        {
          "value": "0",
          "setting": "allow_edit_document_after_signing"
        },
        {
          "value": "off",
          "setting": "every_signature_and_initials_field_requires_user_authentication"
        },
        {
          "value": "0",
          "setting": "enable_render_pages_in_editor_as_images"
        },
        {
          "value": "0",
          "setting": "allow_team_admin_rename_docs"
        }
      ]
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Search by Signer email`)

```json
{
  "data": [
    {
      "id": "60XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "tags": [
        {
          "name": "field_signature",
          "type": "system"
        },
        {
          "name": "fields",
          "type": "system"
        },
        {
          "name": "electronic_consent_required",
          "type": "system"
        }
      ],
      "lines": [],
      "owner": "owner@email.com",
      "pages": [
        {
          "src": "https://sample.com/thumbnail?size=large&page=0",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=1",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=2",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=3",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=4",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=5",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=6",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=7",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=8",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=9",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=10",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=11",
          "size": {
            "width": 611.98,
            "height": 791.97
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=12",
          "size": {
            "width": 595.28,
            "height": 841.89
          }
        },
        {
          "src": "https://sample.com/thumbnail?size=large&page=13",
          "size": {
            "width": 595.28,
            "height": 841.89
          }
        }
      ],
      "roles": [
        {
          "name": "Sample name 1",
          "unique_id": "93XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "signing_order": "1"
        }
      ],
      "seals": [],
      "texts": [],
      "checks": [],
      "fields": [
        {
          "id": "d8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "role": "Sample name 1",
          "type": "signature",
          "role_id": "93XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "field_id": "14XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "fulfiller": "signer@email.com",
          "element_id": "c0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "originator": "owner@email.com",
          "json_attributes": {
            "x": 450,
            "y": 24,
            "name": "Sample name 1",
            "width": 138,
            "height": 69,
            "required": true,
            "page_number": 0,
            "allowed_types": [
              "type",
              "draw",
              "upload"
            ]
          },
          "field_request_id": "14XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "template_field_id": null,
          "field_request_canceled": null
        }
      ],
      "created": "1655973025",
      "inserts": [],
      "updated": "1656321523",
      "user_id": "cfXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "payments": [],
      "requests": [],
      "settings": {
        "ololo": false,
        "mytext": false,
        "mytext1": false,
        "enable_mfa": false,
        "enable_pki": false,
        "copy_export": false,
        "enable_qwer": false,
        "upload_limit": false,
        "document_guide": false,
        "sso-only-login": false,
        "mobileweb_option": false,
        "cloud_auto_export": false,
        "logout_on_signing": false,
        "restrict_download": false,
        "common_experiments": false,
        "enable_experiments": false,
        "add_signature_stamp": false,
        "email_logo_position": false,
        "cfr_title_21_part_11": false,
        "email_btn_bkgd_color": false,
        "email_btn_text_color": false,
        "email_custom_message": false,
        "email_custom_subject": false,
        "email_footer_enabled": false,
        "enable_eu_date_format": false,
        "require_email_subject": false,
        "no_document_attachment": true,
        "agree_to_be_beta_tester": false,
        "electronic_consent_text": false,
        "flatten_document_fields": false,
        "org_allowed_team_admins": false,
        "disable_email_recipients": false,
        "document_schema_extended": false,
        "enable_document_comments": false,
        "front_end_session_length": false,
        "no_user_signature_return": false,
        "require_drawn_signatures": false,
        "signature_stamp_position": false,
        "allow_big_attachment_file": false,
        "cloud_export_with_history": false,
        "enable_full_story_tracker": false,
        "require_login_for_signing": false,
        "allow_download_certificate": false,
        "disable_email_notifications": false,
        "electronic_consent_required": false,
        "email_admin_on_banned_login": false,
        "enable_hyperlink_protection": false,
        "enable_team_admin_move_docs": false,
        "invite_decline_redirect_url": false,
        "parse_only_signature_fields": false,
        "allow_team_admin_rename_docs": false,
        "emailed_docs_include_history": false,
        "no_document_file_attachments": false,
        "add_signature_stamp_with_name": false,
        "digitally_sign_dowloaded_docs": false,
        "watermark_downloaded_document": false,
        "invite_completion_redirect_url": false,
        "required_preset_signature_name": false,
        "signing_link_document_download": false,
        "block_login_via_social_networks": false,
        "hide_upgrade_subscription_button": false,
        "allow_edit_document_after_signing": false,
        "default_field_invite_remind_after": false,
        "disable_download_action_in_editor": false,
        "enable_advanced_threat_protection": false,
        "auto_deletion_documents_from_trash": false,
        "default_field_invite_remind_before": false,
        "default_field_invite_remind_repeat": false,
        "document_completion_retention_days": false,
        "require_authentication_for_invites": false,
        "save_signer_signature_and_initials": false,
        "signing_link_document_name_formula": false,
        "disable_recipients_list_from_editor": false,
        "document_attachment_only_for_signer": false,
        "default_field_invite_expiration_time": false,
        "unsuccessful_logout_attempts_allowed": false,
        "audit_trail_completion_retention_days": false,
        "block_organization_selfleave_by_member": false,
        "allow_document_copying_to_other_accounts": false,
        "allow_embedded_extended_token_expiration": false,
        "pending_invite_document_view_notification": false,
        "guide_signers_only_through_required_fields": false,
        "redirect_to_registration_when_fields_saved": false,
        "hide_decline_to_sign_option_in_signing_session": false,
        "max_attachments_for_signnow_fields_per_document": false,
        "only_administrator_is_able_to_invite_to_the_team": false,
        "allow_big_count_of_attachment_fields_per_document": false,
        "agreement_to_test_new_functionality_in_organization": false,
        "auto_apply_signatures_and_initials_to_document_fields": false,
        "block_export_options_when_credit_card_validation_is_used": false,
        "invite_update_notifications_for_all_invites_at_invite_create": false,
        "every_signature_and_initials_field_requires_user_authentication": false
      },
      "template": false,
      "parent_id": "0dXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "thumbnail": {
        "large": "https://sample.com/thumbnail?size=large",
        "small": "https://sample.com/thumbnail?size=small",
        "medium": "https://sample.com/thumbnail?size=medium"
      },
      "hyperlinks": [],
      "owner_name": "sample name",
      "page_count": "14",
      "signatures": [
        {
          "x": "450",
          "y": "24",
          "id": "c0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "data": "iVXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "email": "owner@email.com",
          "width": "138",
          "height": "55",
          "created": "1656321523",
          "subtype": "signature",
          "user_id": "27XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "page_number": "0",
          "signature_request_id": null
        }
      ],
      "attachments": [],
      "exported_to": [],
      "integrations": [],
      "radiobuttons": [],
      "version_time": "1656321523",
      "viewer_roles": [],
      "document_name": "Sample name",
      "field_invites": [
        {
          "id": "85XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "role": "Sample name 1",
          "email": "owner@email.com",
          "pfrid": null,
          "status": "fulfilled",
          "created": "1655973182",
          "pfrtype": null,
          "role_id": "93XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "updated": "1656321523",
          "declined": [],
          "reassign": "0",
          "reminder": "0",
          "pframount": null,
          "pfrstatus": null,
          "pfrcreated": null,
          "id_verified": "UNVERIFIED",
          "is_embedded": false,
          "redirect_uri": null,
          "delivery_type": "email",
          "password_type": "",
          "email_statuses": [],
          "pfrmerchant_id": null,
          "signer_user_id": "27XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "embedded_signer": [],
          "expiration_time": "1658565182",
          "is_draft_exists": "0",
          "password_method": "",
          "payment_request": null,
          "is_full_declined": false,
          "pfrcurrency_name": null,
          "pfrmerchant_type": null,
          "is_document_locked": "0",
          "password_protected": "0",
          "pfrjson_attributes": null,
          "force_new_signature": null,
          "signer_phone_invite": null,
          "decline_by_signature": "0",
          "signing_instructions": null,
          "electronic_consent_id": "beXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "prefill_signature_name": null,
          "id_verification_required": "NO",
          "pfrmerchant_account_name": null,
          "pfrpayment_transaction_id": null,
          "electronic_consent_required": 1,
          "required_preset_signature_name": null,
          "stripe_ach_bank_account_present": "0",
          "stripe_ach_bank_account_verified": "0"
        }
      ],
      "notary_invites": [],
      "origin_user_id": null,
      "originator_logo": "",
      "routing_details": [
        {
          "cc": [],
          "id": "4bXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "data": [
            {
              "name": "Sample name 1",
              "role_id": "93XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
              "inviter_role": false,
              "default_email": "owner@email.com",
              "delivery_type": "email",
              "signing_order": 1
            }
          ],
          "cc_step": [],
          "created": "1655973176",
          "updated": "1655973181",
          "viewers": [],
          "invite_link_instructions": null
        }
      ],
      "field_validators": [],
      "original_filename": "sample name.pdf",
      "origin_document_id": null,
      "document_group_info": {
        "invite_id": null,
        "invite_status": null,
        "sign_as_merged": false,
        "document_group_id": null,
        "doc_count_in_group": 0,
        "document_group_name": null
      },
      "enumeration_options": [],
      "viewer_field_invites": [],
      "signing_session_settings": {
        "welcome_message": null
      },
      "document_group_template_info": [],
      "originator_organization_settings": [
        {
          "value": "0",
          "setting": "no_user_signature_return"
        },
        {
          "value": "",
          "setting": "invite_completion_redirect_url"
        },
        {
          "value": "",
          "setting": "invite_decline_redirect_url"
        },
        {
          "value": "0",
          "setting": "required_preset_signature_name"
        },
        {
          "value": "0",
          "setting": "require_email_subject"
        },
        {
          "value": "0",
          "setting": "require_login_for_signing"
        },
        {
          "value": "1",
          "setting": "logout_on_signing"
        },
        {
          "value": "0",
          "setting": "front_end_session_length"
        },
        {
          "value": "1",
          "setting": "add_signature_stamp_with_name"
        },
        {
          "value": "0",
          "setting": "cfr_title_21_part_11"
        },
        {
          "value": "0",
          "setting": "require_authentication_for_invites"
        },
        {
          "value": "1",
          "setting": "document_guide"
        },
        {
          "value": "0",
          "setting": "disable_email_notifications"
        },
        {
          "value": "no",
          "setting": "block_export_options_when_credit_card_validation_is_used"
        },
        {
          "value": "no",
          "setting": "block_login_via_social_networks"
        },
        {
          "value": "0",
          "setting": "common_experiments"
        },
        {
          "value": "0",
          "setting": "hide_decline_to_sign_option_in_signing_session"
        },
        {
          "value": "0",
          "setting": "hide_upgrade_subscription_button"
        },
        {
          "value": "",
          "setting": "do_no_consent_redirect_url"
        },
        {
          "value": "0",
          "setting": "lock_signing_date_by_default"
        },
        {
          "value": "0",
          "setting": "allow_download_certificate"
        },
        {
          "value": "0",
          "setting": "have_merged_document_group_option"
        },
        {
          "value": "1",
          "setting": "guide_signers_only_through_required_fields"
        },
        {
          "value": "30",
          "setting": "invite_expiration_days"
        },
        {
          "value": "0",
          "setting": "allow_big_attachment_file"
        },
        {
          "value": "0",
          "setting": "allow_big_count_of_attachment_fields_per_document"
        },
        {
          "value": "0",
          "setting": "enable_hyperlink_field"
        },
        {
          "value": "0",
          "setting": "disable_download_action_in_editor"
        },
        {
          "value": "bottom",
          "setting": "signature_stamp_position"
        },
        {
          "value": "0",
          "setting": "enable_pki"
        },
        {
          "value": "1",
          "setting": "save_signer_signature_and_initials"
        },
        {
          "value": "1",
          "setting": "auto_apply_signatures_and_initials_to_document_fields"
        },
        {
          "value": "0",
          "setting": "receive_signer_email_after_sent_field_invite_to_yourself"
        },
        {
          "value": "0",
          "setting": "allow_edit_document_after_signing"
        },
        {
          "value": "off",
          "setting": "every_signature_and_initials_field_requires_user_authentication"
        },
        {
          "value": "0",
          "setting": "enable_render_pages_in_editor_as_images"
        },
        {
          "value": "0",
          "setting": "allow_team_admin_rename_docs"
        }
      ]
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 403

User is not the admin of the organization.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

**Example** (`User is not admin`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

Organization is not active or does not exist

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `{organization_id}` is not found."
    }
  ]
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `{organization_id}` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_unique_id}/documents/search" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_unique_id-documents-search*
